package cn.com.tenlion.materialstore.pojo.dtos.materialdata;

import cn.com.tenlion.materialstore.pojo.dtos.materialaudio.MaterialAudioDTO;
import cn.com.tenlion.materialstore.pojo.dtos.materialphoto.MaterialPhotoDTO;
import cn.com.tenlion.materialstore.pojo.dtos.materialvideo.MaterialVideoDTO;
import cn.com.tenlion.materialstore.pojo.dtos.materiallink.MaterialLinkDTO;
import cn.com.tenlion.materialstore.pojo.dtos.materialmap.MaterialMapDTO;
import cn.com.tenlion.materialstore.pojo.dtos.materialtext.MaterialTextDTO;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

public class MaterialDataDTO {

    @ApiModelProperty(name = "text", value = "文字素材")
    private List<MaterialTextDTO> text;
    @ApiModelProperty(name = "photo", value = "图片素材")
    private List<MaterialPhotoDTO> photo;
    @ApiModelProperty(name = "audio", value = "音频素材")
    private List<MaterialAudioDTO> audio;
    @ApiModelProperty(name = "video", value = "视频素材")
    private List<MaterialVideoDTO> video;
    @ApiModelProperty(name = "map", value = "经纬度素材")
    private List<MaterialMapDTO> map;
    @ApiModelProperty(name = "link", value = "链接素材")
    private List<MaterialLinkDTO> link;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;

    public String getMaterialId() {
        return materialId == null ? "" : materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public List<MaterialTextDTO> getText() {
        if (text == null) {
            return new ArrayList<>();
        }
        return text;
    }

    public void setText(List<MaterialTextDTO> text) {
        this.text = text;
    }

    public List<MaterialPhotoDTO> getPhoto() {
        if (photo == null) {
            return new ArrayList<>();
        }
        return photo;
    }

    public void setPhoto(List<MaterialPhotoDTO> photo) {
        this.photo = photo;
    }

    public List<MaterialAudioDTO> getAudio() {
        if (audio == null) {
            return new ArrayList<>();
        }
        return audio;
    }

    public void setAudio(List<MaterialAudioDTO> audio) {
        this.audio = audio;
    }

    public List<MaterialVideoDTO> getVideo() {
        if (video == null) {
            return new ArrayList<>();
        }
        return video;
    }

    public void setVideo(List<MaterialVideoDTO> video) {
        this.video = video;
    }

    public List<MaterialMapDTO> getMap() {
        if (map == null) {
            return new ArrayList<>();
        }
        return map;
    }

    public void setMap(List<MaterialMapDTO> map) {
        this.map = map;
    }

    public List<MaterialLinkDTO> getLink() {
        if (link == null) {
            return new ArrayList<>();
        }
        return link;
    }

    public void setLink(List<MaterialLinkDTO> link) {
        this.link = link;
    }
}
